[@bigcommerce/checkout-sdk](../README.md) / CheckoutPayment

# Interface: CheckoutPayment

## Table of contents

### Properties

- [detail](CheckoutPayment.md#detail)
- [gatewayId](CheckoutPayment.md#gatewayid)
- [providerId](CheckoutPayment.md#providerid)
- [providerType](CheckoutPayment.md#providertype)

## Properties

### detail

• **detail**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `step` | `string` |

___

### gatewayId

• `Optional` **gatewayId**: `string`

___

### providerId

• **providerId**: `string`

___

### providerType

• **providerType**: `string`
